Cannot install KDE 5 on fresh LMDE 2

Questions about applications and software
Forum rules
Before you post please read how to get help
Godsider
Level 1
Level 1
Posts: 3
Joined: Sun Jan 22, 2017 7:12 pm

Cannot install KDE 5 on fresh LMDE 2

Postby Godsider » Sun Jan 22, 2017 7:24 pm

I'm trying to install KDE 5 from testing on fresh (and updated) LMDE 2 install.

I have
deb http://httpredir.debian.org/debian/ testing main
deb http://security.debian.org/ testing/updates main
in my sources list. When i try to execute "apt install -t testing kde-plasma-desktop" I get this:

--------------------------------------------------------------------------------------------------------------------
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
gstreamer1.0-plugins-base : Breaks: gstreamer1.0-plugins-bad (< 1.7.90) but 1.4.4-2.1+deb8u1 is to be installed
kde-plasma-desktop : Depends: kde-baseapps (>= 4:15.08.0) but it is not going to be installed
Depends: kde-runtime (>= 4:15.08.0) but it is not going to be installed
Depends: plasma-desktop (>= 4:5.6.0) but it is not going to be installed
Depends: plasma-workspace (>= 4:5.6.0) but it is not going to be installed
libgstreamer-plugins-base1.0-0 : Breaks: gstreamer1.0-plugins-bad (< 1.7.1) but 1.4.4-2.1+deb8u1 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
--------------------------------------------------------------------------------------------------------------------

What can be the reason for the unmet dependencies and how can it be fixed?

Penn
Level 5
Level 5
Posts: 660
Joined: Tue Jun 10, 2014 1:12 pm

Re: Cannot install KDE 5 on fresh LMDE 2

Postby Penn » Mon Jan 23, 2017 12:40 am

I don't understand why you would want to do this. Mixing DEs can really mess you system up even if you pull something from the main repository. Add to that installing something as impactful as a DE from testing would require so many new dependencies would really torch a system unless you are very knowledgeable.

According to "apt policy kde-plasma-desktop" on a system without testing or backports it seems to show 5 is available in the main repos

Code: Select all

kde-plasma-desktop:
  Installed: (none)
  Candidate: 5:84
  Version table:
     5:84 0
        500 ftp://debian.gtisc.gatech.edu/debian/ jessie/main amd64 Packages


Sometimes the Debian version numbers can be deceiving but.....


Edit - My bad, I forgot this machine does have backport enabled but that result is the main repo.

User avatar
killer de bug
Level 14
Level 14
Posts: 5313
Joined: Tue Jul 08, 2008 1:49 pm
Location: Graz, Austria

Re: Cannot install KDE 5 on fresh LMDE 2

Postby killer de bug » Mon Jan 23, 2017 5:41 am

If you want a Debian with KDE, I would look for SolydXK. :wink:
Image
If it ain't broke, fix it until it is.

Godsider
Level 1
Level 1
Posts: 3
Joined: Sun Jan 22, 2017 7:12 pm

Re: Cannot install KDE 5 on fresh LMDE 2

Postby Godsider » Mon Jan 23, 2017 12:30 pm

Penn wrote:I don't understand why you would want to do this ...

I want to try Cinnamon and KDE 5, so why not to experiment? :) I had good experience earlier with KDE 4 on LMDE, so I don't expect for it to be too hard.

Penn wrote:According to "apt policy kde-plasma-desktop" on a system without testing or backports it seems to show 5 is available in the main repos

kde-plasma-desktop 5:84 has no relation to KDE 5, it contains KDE 4.11.3 AFAIK.
KDE 5 isn't provided for Debian Stable, it is provided for Debian Testing only at the moment.

killer de bug wrote:If you want a Debian with KDE, I would look for SolydXK.

SolydK: no KDE 5, no rolling (Stable-based), and presumably not very up-to-date. :?

User avatar
killer de bug
Level 14
Level 14
Posts: 5313
Joined: Tue Jul 08, 2008 1:49 pm
Location: Graz, Austria

Re: Cannot install KDE 5 on fresh LMDE 2

Postby killer de bug » Mon Jan 23, 2017 12:46 pm

Godsider wrote:SolydK: no KDE 5, no rolling (Stable-based), and presumably not very up-to-date. :?

LMDE and SolydK have the same base: Debian Stable and are not rolling. Both of them. So they are not up-to-date according to your standards, but they are at the same point. :wink:

If you start with SolydK and put the testing repo, you will update everything to KDE5. Which may be easier than starting from LMDE and to install everything manually. But this is just my opinion.
Image
If it ain't broke, fix it until it is.

Godsider
Level 1
Level 1
Posts: 3
Joined: Sun Jan 22, 2017 7:12 pm

Re: Cannot install KDE 5 on fresh LMDE 2

Postby Godsider » Tue Jan 24, 2017 6:10 am

killer de bug wrote:LMDE and SolydK have the same base: Debian Stable and are not rolling.

Perhaps I have missed something between LMDE 1 and LMDE 2, thanx for noting me. Why not rolling now? It's a bit disappointing. :(
Maybe I will try SolydK, thanx again for the advice.

But, nevertheless, can anybody tell what may be wrong with LMDE 2/KDE 5/Testing? Those unmet dependencies look strange to me.

User avatar
killer de bug
Level 14
Level 14
Posts: 5313
Joined: Tue Jul 08, 2008 1:49 pm
Location: Graz, Austria

Re: Cannot install KDE 5 on fresh LMDE 2

Postby killer de bug » Tue Jan 24, 2017 7:44 am

What may be wrong with Debian testing and Cinnamon, may be GTK breaking Cinnamon. To be tried.
Image
If it ain't broke, fix it until it is.


Return to “Software & Applications”